# DumpArchiveException (Apache Commons Compress 1.13 API)

org.apache.commons.compress.archivers.dump

## Class DumpArchiveException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.commons.compress.archivers.dump.DumpArchiveException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    InvalidFormatException, ShortFileException, UnrecognizedFormatException, UnsupportedCompressionAlgorithmException

      public class DumpArchiveException
      extends IOException

  Dump Archive Exception
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DumpArchiveException()`
    `DumpArchiveException(String msg)`
    `DumpArchiveException(String msg, Throwable cause)`
    `DumpArchiveException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DumpArchiveException

          public DumpArchiveException()

    - #### DumpArchiveException

          public DumpArchiveException(String msg)

    - #### DumpArchiveException

          public DumpArchiveException(Throwable cause)

    - #### DumpArchiveException

          public DumpArchiveException(String msg,
                              Throwable cause)

Copyright © 2016 The Apache Software Foundation. All rights reserved.